﻿// -----------------------------------------------------------------------
// <copyright file="XamDatagridControl.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace BindingIssue.UserControls
{
    using System;
    using Infragistics.Windows;
    using Infragistics.Windows.DataPresenter;
    using System.Windows;
    using System.Windows.Controls;
    using System.Collections.ObjectModel;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class XamDatagridControl : XamDataGrid
    {

        public XamDatagridControl()
        {
            this.InitializeRecord += new EventHandler<Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs>(XamDatagridControl_InitializeRecord);            
        }

        void XamDatagridControl_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            XamDataGrid myDatagrid = sender as XamDataGrid;

            if (myDatagrid.Records != null && myDatagrid.Records.Count > 0)
            {
                if (myDatagrid.ActiveDataItem != null)
                {
                    myDatagrid.ActiveRecord = (Record)myDatagrid.GetRecordFromDataItem(myDatagrid.ActiveDataItem, false);
                }
                else
                {
                    myDatagrid.ActiveRecord = myDatagrid.Records[0];
                }              
            }
        }        
    }
}
